NNStorage.NameNodeFile (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: NNStorage, enum: NameNodeFile

Package org.apache.hadoop.hdfs.server.namenode

# Enum Class NNStorage.NameNodeFile

java.lang.Object
java.lang.Enum<NNStorage.NameNodeFile>
org.apache.hadoop.hdfs.server.namenode.NNStorage.NameNodeFile

All Implemented Interfaces:
  `Serializable`, `Comparable<NNStorage.NameNodeFile>`, `Constable`

Enclosing class:
  org.apache.hadoop.hdfs.server.namenode.NNStorage

public static enum NNStorage.NameNodeFile extends Enum<NNStorage.NameNodeFile>
The filenames used for storing the images.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EDITS`
  `EDITS_INPROGRESS`
  `EDITS_NEW`
  `EDITS_TMP`
  `IMAGE`
  `IMAGE_LEGACY_OIV`
  `IMAGE_NEW`
  `IMAGE_ROLLBACK`
  `SEEN_TXID`
  `TIME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `static NNStorage.NameNodeFile`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NNStorage.NameNodeFile[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IMAGE

    public static final NNStorage.NameNodeFile IMAGE

  - ### TIME

    public static final NNStorage.NameNodeFile TIME

  - ### SEEN_TXID

    public static final NNStorage.NameNodeFile SEEN_TXID

  - ### EDITS

    public static final NNStorage.NameNodeFile EDITS

  - ### IMAGE_NEW

    public static final NNStorage.NameNodeFile IMAGE_NEW

  - ### IMAGE_ROLLBACK

    public static final NNStorage.NameNodeFile IMAGE_ROLLBACK

  - ### EDITS_NEW

    public static final NNStorage.NameNodeFile EDITS_NEW

  - ### EDITS_INPROGRESS

    public static final NNStorage.NameNodeFile EDITS_INPROGRESS

  - ### EDITS_TMP

    public static final NNStorage.NameNodeFile EDITS_TMP

  - ### IMAGE_LEGACY_OIV

    public static final NNStorage.NameNodeFile IMAGE_LEGACY_OIV

- ## Method Details

  - ### values

    public static NNStorage.NameNodeFile[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NNStorage.NameNodeFile valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    @VisibleForTesting public String getName()